Bug 376220 - Crash in Akonadi::Monitor::mimeTypesMonitored
Summary: Crash in Akonadi::Monitor::mimeTypesMonitored
Status: RESOLVED FIXED
Alias: None
Product: Akonadi
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Archlinux Packages Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords: drkonqi
: 376449 377798 377800 377936 377951 378001 378474 378867 382711 382827 383183 383251 384609 384945 384992 384996 385125 387756 388029 389214 390460 390686 391257 394390 396422 401126 (view as bug list)
Depends on:
Blocks:
 
Reported: 2017-02-09 06:00 UTC by lunakirai
Modified: 2018-12-06 03:17 UTC (History)
28 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.6.2


Attachments
Memory usage upon activation of the plug-in (40.61 KB, image/png)
2017-10-12 19:24 UTC, yves
Details

Note You need to log in before you can comment on or make changes to this bug.
Description lunakirai 2017-02-09 06:00:44 UTC
Application: plasmashell (5.9.1)

Qt Version: 5.8.0
Frameworks Version: 5.30.0
Operating System: Linux 4.9.8-1-ARCH x86_64
Distribution (Platform): Archlinux Packages

-- Information about the crash:
- What I was doing when the application crashed:

Scrolling through the Plasma5 Extensions explorer inside the "install more"

-- Backtrace:
Application: Plasma (plasmashell), signal: Segmentation fault
Using host libthread_db library "/usr/lib/libthread_db.so.1".
[Current thread is 1 (Thread 0x7ff4af180800 (LWP 680))]

Thread 36 (Thread 0x7fb341a38700 (LWP 16003)):
#0  0x00007ffc8952b937 in  ()
#1  0x00007ffc8952bbc5 in clock_gettime ()
#2  0x00007ff4a87d66b6 in clock_gettime () at /usr/lib/libc.so.6
#3  0x00007ff4a90e5601 in  () at /usr/lib/libQt5Core.so.5
#4  0x00007ff4a90e3dc9 in QTimerInfoList::updateCurrentTime() () at /usr/lib/libQt5Core.so.5
#5  0x00007ff4a90e4375 in QTimerInfoList::timerWait(timespec&) () at /usr/lib/libQt5Core.so.5
#6  0x00007ff4a90e5a3e in  () at /usr/lib/libQt5Core.so.5
#7  0x00007ff4a357ac89 in g_main_context_prepare () at /usr/lib/libglib-2.0.so.0
#8  0x00007ff4a357b6ab in  () at /usr/lib/libglib-2.0.so.0
#9  0x00007ff4a357b89c in g_main_context_iteration () at /usr/lib/libglib-2.0.so.0
#10 0x00007ff4a90e646b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#11 0x00007ff4a908fc9a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#12 0x00007ff4a8eb1a73 in QThread::exec() () at /usr/lib/libQt5Core.so.5
#13 0x00007ff4a8eb66d8 in  () at /usr/lib/libQt5Core.so.5
#14 0x00007ff4a7d70454 in start_thread () at /usr/lib/libpthread.so.0
#15 0x00007ff4a87c97df in clone () at /usr/lib/libc.so.6

Thread 35 (Thread 0x7fb323fff700 (LWP 15883)):
#0  0x00007ff4a7d7610f in pthread_cond_wait@@GLIBC_2.3.2 () at /usr/lib/libpthread.so.0
#1  0x00007ff4a8eb758b in QWaitCondition::wait(QMutex*, unsigned long) () at /usr/lib/libQt5Core.so.5
#2  0x00007ff4acc67665 in  () at /usr/lib/libQt5Quick.so.5
#3  0x00007ff4acc67f72 in  () at /usr/lib/libQt5Quick.so.5
#4  0x00007ff4a8eb66d8 in  () at /usr/lib/libQt5Core.so.5
#5  0x00007ff4a7d70454 in start_thread () at /usr/lib/libpthread.so.0
#6  0x00007ff4a87c97df in clone () at /usr/lib/libc.so.6

Thread 34 (Thread 0x7ff3a55e0700 (LWP 15365)):
#0  0x00007ff4a7d7610f in pthread_cond_wait@@GLIBC_2.3.2 () at /usr/lib/libpthread.so.0
#1  0x00007ff4a8eb758b in QWaitCondition::wait(QMutex*, unsigned long) () at /usr/lib/libQt5Core.so.5
#2  0x00007ff4acc67665 in  () at /usr/lib/libQt5Quick.so.5
#3  0x00007ff4acc67f72 in  () at /usr/lib/libQt5Quick.so.5
#4  0x00007ff4a8eb66d8 in  () at /usr/lib/libQt5Core.so.5
#5  0x00007ff4a7d70454 in start_thread () at /usr/lib/libpthread.so.0
#6  0x00007ff4a87c97df in clone () at /usr/lib/libc.so.6

Thread 33 (Thread 0x7fb340ff9700 (LWP 15325)):
#0  0x00007ff4a87c048d in poll () at /usr/lib/libc.so.6
#1  0x00007ff4a357b786 in  () at /usr/lib/libglib-2.0.so.0
#2  0x00007ff4a357b89c in g_main_context_iteration () at /usr/lib/libglib-2.0.so.0
#3  0x00007ff4a90e646b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#4  0x00007ff4a908fc9a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#5  0x00007ff4a8eb1a73 in QThread::exec() () at /usr/lib/libQt5Core.so.5
#6  0x00007fb35d83d385 in  () at /usr/lib/qt/qml/QtQuick/XmlListModel/libqmlxmllistmodelplugin.so
#7  0x00007ff4a8eb66d8 in  () at /usr/lib/libQt5Core.so.5
#8  0x00007ff4a7d70454 in start_thread () at /usr/lib/libpthread.so.0
#9  0x00007ff4a87c97df in clone () at /usr/lib/libc.so.6

Thread 32 (Thread 0x7fb35ec18700 (LWP 15083)):
#0  0x00007ff4a87bc4ed in read () at /usr/lib/libc.so.6
#1  0x00007ff4a35bfa10 in  () at /usr/lib/libglib-2.0.so.0
#2  0x00007ff4a357b235 in g_main_context_check () at /usr/lib/libglib-2.0.so.0
#3  0x00007ff4a357b724 in  () at /usr/lib/libglib-2.0.so.0
#4  0x00007ff4a357b89c in g_main_context_iteration () at /usr/lib/libglib-2.0.so.0
#5  0x00007ff4a90e646b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#6  0x00007ff4a908fc9a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#7  0x00007ff4a8eb1a73 in QThread::exec() () at /usr/lib/libQt5Core.so.5
#8  0x00007ff4a8eb66d8 in  () at /usr/lib/libQt5Core.so.5
#9  0x00007ff4a7d70454 in start_thread () at /usr/lib/libpthread.so.0
#10 0x00007ff4a87c97df in clone () at /usr/lib/libc.so.6

Thread 31 (Thread 0x7fb36fff8700 (LWP 15010)):
#0  0x00007ff4a87bc4ed in read () at /usr/lib/libc.so.6
#1  0x00007ff4a35bfa10 in  () at /usr/lib/libglib-2.0.so.0
#2  0x00007ff4a357b235 in g_main_context_check () at /usr/lib/libglib-2.0.so.0
#3  0x00007ff4a357b724 in  () at /usr/lib/libglib-2.0.so.0
#4  0x00007ff4a357b89c in g_main_context_iteration () at /usr/lib/libglib-2.0.so.0
#5  0x00007ff4a90e646b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#6  0x00007ff4a908fc9a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#7  0x00007ff4a8eb1a73 in QThread::exec() () at /usr/lib/libQt5Core.so.5
#8  0x00007ff4a8eb66d8 in  () at /usr/lib/libQt5Core.so.5
#9  0x00007ff4a7d70454 in start_thread () at /usr/lib/libpthread.so.0
#10 0x00007ff4a87c97df in clone () at /usr/lib/libc.so.6

Thread 30 (Thread 0x7fb36e9fb700 (LWP 14865)):
#0  0x00007ff4a7d7610f in pthread_cond_wait@@GLIBC_2.3.2 () at /usr/lib/libpthread.so.0
#1  0x00007ff4a8eb758b in QWaitCondition::wait(QMutex*, unsigned long) () at /usr/lib/libQt5Core.so.5
#2  0x00007ff4acc67665 in  () at /usr/lib/libQt5Quick.so.5
#3  0x00007ff4acc67f72 in  () at /usr/lib/libQt5Quick.so.5
#4  0x00007ff4a8eb66d8 in  () at /usr/lib/libQt5Core.so.5
#5  0x00007ff4a7d70454 in start_thread () at /usr/lib/libpthread.so.0
#6  0x00007ff4a87c97df in clone () at /usr/lib/libc.so.6

Thread 29 (Thread 0x7ff3a5ffb700 (LWP 13736)):
#0  0x00007ff4a7d7610f in pthread_cond_wait@@GLIBC_2.3.2 () at /usr/lib/libpthread.so.0
#1  0x00007ff4a8eb758b in QWaitCondition::wait(QMutex*, unsigned long) () at /usr/lib/libQt5Core.so.5
#2  0x00007ff3e5afe1c0 in ThreadWeaver::Weaver::takeFirstAvailableJobOrSuspendOrWait(ThreadWeaver::Thread*, bool, bool, bool) () at /usr/lib/libKF5ThreadWeaver.so.5
#3  0x00007ff3e5b02988 in  () at /usr/lib/libKF5ThreadWeaver.so.5
#4  0x00007ff3e5afd263 in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib/libKF5ThreadWeaver.so.5
#5  0x00007ff3e5b029e2 in  () at /usr/lib/libKF5ThreadWeaver.so.5
#6  0x00007ff3e5afd263 in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib/libKF5ThreadWeaver.so.5
#7  0x00007ff3e5b029e2 in  () at /usr/lib/libKF5ThreadWeaver.so.5
#8  0x00007ff3e5afd263 in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib/libKF5ThreadWeaver.so.5
#9  0x00007ff3e5b001f9 in ThreadWeaver::Thread::run() () at /usr/lib/libKF5ThreadWeaver.so.5
#10 0x00007ff4a8eb66d8 in  () at /usr/lib/libQt5Core.so.5
#11 0x00007ff4a7d70454 in start_thread () at /usr/lib/libpthread.so.0
#12 0x00007ff4a87c97df in clone () at /usr/lib/libc.so.6

Thread 28 (Thread 0x7ff3a67fc700 (LWP 13735)):
#0  0x00007ff4a7d7610f in pthread_cond_wait@@GLIBC_2.3.2 () at /usr/lib/libpthread.so.0
#1  0x00007ff4a8eb758b in QWaitCondition::wait(QMutex*, unsigned long) () at /usr/lib/libQt5Core.so.5
#2  0x00007ff3e5afe1c0 in ThreadWeaver::Weaver::takeFirstAvailableJobOrSuspendOrWait(ThreadWeaver::Thread*, bool, bool, bool) () at /usr/lib/libKF5ThreadWeaver.so.5
#3  0x00007ff3e5b02988 in  () at /usr/lib/libKF5ThreadWeaver.so.5
#4  0x00007ff3e5afd263 in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib/libKF5ThreadWeaver.so.5
#5  0x00007ff3e5b029e2 in  () at /usr/lib/libKF5ThreadWeaver.so.5
#6  0x00007ff3e5afd263 in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib/libKF5ThreadWeaver.so.5
#7  0x00007ff3e5b029e2 in  () at /usr/lib/libKF5ThreadWeaver.so.5
#8  0x00007ff3e5afd263 in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib/libKF5ThreadWeaver.so.5
#9  0x00007ff3e5b029e2 in  () at /usr/lib/libKF5ThreadWeaver.so.5
#10 0x00007ff3e5afd263 in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib/libKF5ThreadWeaver.so.5
#11 0x00007ff3e5b029e2 in  () at /usr/lib/libKF5ThreadWeaver.so.5
#12 0x00007ff3e5afd263 in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib/libKF5ThreadWeaver.so.5
#13 0x00007ff3e5b029e2 in  () at /usr/lib/libKF5ThreadWeaver.so.5
#14 0x00007ff3e5afd263 in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib/libKF5ThreadWeaver.so.5
#15 0x00007ff3e5b029e2 in  () at /usr/lib/libKF5ThreadWeaver.so.5
#16 0x00007ff3e5afd263 in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib/libKF5ThreadWeaver.so.5
#17 0x00007ff3e5b029e2 in  () at /usr/lib/libKF5ThreadWeaver.so.5
#18 0x00007ff3e5afd263 in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib/libKF5ThreadWeaver.so.5
#19 0x00007ff3e5b029e2 in  () at /usr/lib/libKF5ThreadWeaver.so.5
#20 0x00007ff3e5afd263 in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib/libKF5ThreadWeaver.so.5
#21 0x00007ff3e5b029e2 in  () at /usr/lib/libKF5ThreadWeaver.so.5
#22 0x00007ff3e5afd263 in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib/libKF5ThreadWeaver.so.5
#23 0x00007ff3e5b029e2 in  () at /usr/lib/libKF5ThreadWeaver.so.5
#24 0x00007ff3e5afd263 in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib/libKF5ThreadWeaver.so.5
#25 0x00007ff3e5b029e2 in  () at /usr/lib/libKF5ThreadWeaver.so.5
#26 0x00007ff3e5afd263 in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib/libKF5ThreadWeaver.so.5
#27 0x00007ff3e5b029e2 in  () at /usr/lib/libKF5ThreadWeaver.so.5
#28 0x00007ff3e5afd263 in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib/libKF5ThreadWeaver.so.5
#29 0x00007ff3e5b029e2 in  () at /usr/lib/libKF5ThreadWeaver.so.5
#30 0x00007ff3e5afd263 in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib/libKF5ThreadWeaver.so.5
#31 0x00007ff3e5b029e2 in  () at /usr/lib/libKF5ThreadWeaver.so.5
#32 0x00007ff3e5afd263 in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib/libKF5ThreadWeaver.so.5
#33 0x00007ff3e5b029e2 in  () at /usr/lib/libKF5ThreadWeaver.so.5
#34 0x00007ff3e5afd263 in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib/libKF5ThreadWeaver.so.5
#35 0x00007ff3e5b029e2 in  () at /usr/lib/libKF5ThreadWeaver.so.5
#36 0x00007ff3e5afd263 in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib/libKF5ThreadWeaver.so.5
#37 0x00007ff3e5b029e2 in  () at /usr/lib/libKF5ThreadWeaver.so.5
#38 0x00007ff3e5afd263 in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib/libKF5ThreadWeaver.so.5
#39 0x00007ff3e5b001f9 in ThreadWeaver::Thread::run() () at /usr/lib/libKF5ThreadWeaver.so.5
#40 0x00007ff4a8eb66d8 in  () at /usr/lib/libQt5Core.so.5
#41 0x00007ff4a7d70454 in start_thread () at /usr/lib/libpthread.so.0
#42 0x00007ff4a87c97df in clone () at /usr/lib/libc.so.6

Thread 27 (Thread 0x7ff3a6ffd700 (LWP 13734)):
#0  0x00007ff4a7d7610f in pthread_cond_wait@@GLIBC_2.3.2 () at /usr/lib/libpthread.so.0
#1  0x00007ff4a8eb758b in QWaitCondition::wait(QMutex*, unsigned long) () at /usr/lib/libQt5Core.so.5
#2  0x00007ff3e5afe1c0 in ThreadWeaver::Weaver::takeFirstAvailableJobOrSuspendOrWait(ThreadWeaver::Thread*, bool, bool, bool) () at /usr/lib/libKF5ThreadWeaver.so.5
#3  0x00007ff3e5b02988 in  () at /usr/lib/libKF5ThreadWeaver.so.5
#4  0x00007ff3e5afd263 in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib/libKF5ThreadWeaver.so.5
#5  0x00007ff3e5b029e2 in  () at /usr/lib/libKF5ThreadWeaver.so.5
#6  0x00007ff3e5afd263 in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib/libKF5ThreadWeaver.so.5
#7  0x00007ff3e5b001f9 in ThreadWeaver::Thread::run() () at /usr/lib/libKF5ThreadWeaver.so.5
#8  0x00007ff4a8eb66d8 in  () at /usr/lib/libQt5Core.so.5
#9  0x00007ff4a7d70454 in start_thread () at /usr/lib/libpthread.so.0
#10 0x00007ff4a87c97df in clone () at /usr/lib/libc.so.6

Thread 26 (Thread 0x7ff3a77fe700 (LWP 13733)):
#0  0x00007ff4a7d7610f in pthread_cond_wait@@GLIBC_2.3.2 () at /usr/lib/libpthread.so.0
#1  0x00007ff4a8eb758b in QWaitCondition::wait(QMutex*, unsigned long) () at /usr/lib/libQt5Core.so.5
#2  0x00007ff3e5afe1c0 in ThreadWeaver::Weaver::takeFirstAvailableJobOrSuspendOrWait(ThreadWeaver::Thread*, bool, bool, bool) () at /usr/lib/libKF5ThreadWeaver.so.5
#3  0x00007ff3e5b02988 in  () at /usr/lib/libKF5ThreadWeaver.so.5
#4  0x00007ff3e5afd263 in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib/libKF5ThreadWeaver.so.5
#5  0x00007ff3e5b029e2 in  () at /usr/lib/libKF5ThreadWeaver.so.5
#6  0x00007ff3e5afd263 in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib/libKF5ThreadWeaver.so.5
#7  0x00007ff3e5b029e2 in  () at /usr/lib/libKF5ThreadWeaver.so.5
#8  0x00007ff3e5afd263 in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib/libKF5ThreadWeaver.so.5
#9  0x00007ff3e5b029e2 in  () at /usr/lib/libKF5ThreadWeaver.so.5
#10 0x00007ff3e5afd263 in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib/libKF5ThreadWeaver.so.5
#11 0x00007ff3e5b001f9 in ThreadWeaver::Thread::run() () at /usr/lib/libKF5ThreadWeaver.so.5
#12 0x00007ff4a8eb66d8 in  () at /usr/lib/libQt5Core.so.5
#13 0x00007ff4a7d70454 in start_thread () at /usr/lib/libpthread.so.0
#14 0x00007ff4a87c97df in clone () at /usr/lib/libc.so.6

Thread 25 (Thread 0x7ff3a7fff700 (LWP 13732)):
#0  0x00007ff4a7d7610f in pthread_cond_wait@@GLIBC_2.3.2 () at /usr/lib/libpthread.so.0
#1  0x00007ff4a8eb758b in QWaitCondition::wait(QMutex*, unsigned long) () at /usr/lib/libQt5Core.so.5
#2  0x00007ff3e5afe1c0 in ThreadWeaver::Weaver::takeFirstAvailableJobOrSuspendOrWait(ThreadWeaver::Thread*, bool, bool, bool) () at /usr/lib/libKF5ThreadWeaver.so.5
#3  0x00007ff3e5b02988 in  () at /usr/lib/libKF5ThreadWeaver.so.5
#4  0x00007ff3e5afd263 in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib/libKF5ThreadWeaver.so.5
#5  0x00007ff3e5b029e2 in  () at /usr/lib/libKF5ThreadWeaver.so.5
#6  0x00007ff3e5afd263 in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib/libKF5ThreadWeaver.so.5
#7  0x00007ff3e5b001f9 in ThreadWeaver::Thread::run() () at /usr/lib/libKF5ThreadWeaver.so.5
#8  0x00007ff4a8eb66d8 in  () at /usr/lib/libQt5Core.so.5
#9  0x00007ff4a7d70454 in start_thread () at /usr/lib/libpthread.so.0
#10 0x00007ff4a87c97df in clone () at /usr/lib/libc.so.6

Thread 24 (Thread 0x7ff3acff9700 (LWP 13731)):
#0  0x00007ff4a7d7610f in pthread_cond_wait@@GLIBC_2.3.2 () at /usr/lib/libpthread.so.0
#1  0x00007ff4a8eb758b in QWaitCondition::wait(QMutex*, unsigned long) () at /usr/lib/libQt5Core.so.5
#2  0x00007ff3e5afe1c0 in ThreadWeaver::Weaver::takeFirstAvailableJobOrSuspendOrWait(ThreadWeaver::Thread*, bool, bool, bool) () at /usr/lib/libKF5ThreadWeaver.so.5
#3  0x00007ff3e5b02988 in  () at /usr/lib/libKF5ThreadWeaver.so.5
#4  0x00007ff3e5afd263 in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib/libKF5ThreadWeaver.so.5
#5  0x00007ff3e5b029e2 in  () at /usr/lib/libKF5ThreadWeaver.so.5
#6  0x00007ff3e5afd263 in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib/libKF5ThreadWeaver.so.5
#7  0x00007ff3e5b029e2 in  () at /usr/lib/libKF5ThreadWeaver.so.5
#8  0x00007ff3e5afd263 in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib/libKF5ThreadWeaver.so.5
#9  0x00007ff3e5b029e2 in  () at /usr/lib/libKF5ThreadWeaver.so.5
#10 0x00007ff3e5afd263 in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib/libKF5ThreadWeaver.so.5
#11 0x00007ff3e5b001f9 in ThreadWeaver::Thread::run() () at /usr/lib/libKF5ThreadWeaver.so.5
#12 0x00007ff4a8eb66d8 in  () at /usr/lib/libQt5Core.so.5
#13 0x00007ff4a7d70454 in start_thread () at /usr/lib/libpthread.so.0
#14 0x00007ff4a87c97df in clone () at /usr/lib/libc.so.6

Thread 23 (Thread 0x7ff3ad7fa700 (LWP 13730)):
#0  0x00007ff4a7d7610f in pthread_cond_wait@@GLIBC_2.3.2 () at /usr/lib/libpthread.so.0
#1  0x00007ff4a8eb758b in QWaitCondition::wait(QMutex*, unsigned long) () at /usr/lib/libQt5Core.so.5
#2  0x00007ff3e5afe1c0 in ThreadWeaver::Weaver::takeFirstAvailableJobOrSuspendOrWait(ThreadWeaver::Thread*, bool, bool, bool) () at /usr/lib/libKF5ThreadWeaver.so.5
#3  0x00007ff3e5b02988 in  () at /usr/lib/libKF5ThreadWeaver.so.5
#4  0x00007ff3e5afd263 in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib/libKF5ThreadWeaver.so.5
#5  0x00007ff3e5b029e2 in  () at /usr/lib/libKF5ThreadWeaver.so.5
#6  0x00007ff3e5afd263 in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib/libKF5ThreadWeaver.so.5
#7  0x00007ff3e5b029e2 in  () at /usr/lib/libKF5ThreadWeaver.so.5
#8  0x00007ff3e5afd263 in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib/libKF5ThreadWeaver.so.5
#9  0x00007ff3e5b029e2 in  () at /usr/lib/libKF5ThreadWeaver.so.5
#10 0x00007ff3e5afd263 in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib/libKF5ThreadWeaver.so.5
#11 0x00007ff3e5b029e2 in  () at /usr/lib/libKF5ThreadWeaver.so.5
#12 0x00007ff3e5afd263 in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib/libKF5ThreadWeaver.so.5
#13 0x00007ff3e5b029e2 in  () at /usr/lib/libKF5ThreadWeaver.so.5
#14 0x00007ff3e5afd263 in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib/libKF5ThreadWeaver.so.5
#15 0x00007ff3e5b001f9 in ThreadWeaver::Thread::run() () at /usr/lib/libKF5ThreadWeaver.so.5
#16 0x00007ff4a8eb66d8 in  () at /usr/lib/libQt5Core.so.5
#17 0x00007ff4a7d70454 in start_thread () at /usr/lib/libpthread.so.0
#18 0x00007ff4a87c97df in clone () at /usr/lib/libc.so.6

Thread 22 (Thread 0x7ff3adffb700 (LWP 13729)):
#0  0x00007ff4a7d7610f in pthread_cond_wait@@GLIBC_2.3.2 () at /usr/lib/libpthread.so.0
#1  0x00007ff4a8eb758b in QWaitCondition::wait(QMutex*, unsigned long) () at /usr/lib/libQt5Core.so.5
#2  0x00007ff3e5afe1c0 in ThreadWeaver::Weaver::takeFirstAvailableJobOrSuspendOrWait(ThreadWeaver::Thread*, bool, bool, bool) () at /usr/lib/libKF5ThreadWeaver.so.5
#3  0x00007ff3e5b02988 in  () at /usr/lib/libKF5ThreadWeaver.so.5
#4  0x00007ff3e5afd263 in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib/libKF5ThreadWeaver.so.5
#5  0x00007ff3e5b029e2 in  () at /usr/lib/libKF5ThreadWeaver.so.5
#6  0x00007ff3e5afd263 in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib/libKF5ThreadWeaver.so.5
#7  0x00007ff3e5b001f9 in ThreadWeaver::Thread::run() () at /usr/lib/libKF5ThreadWeaver.so.5
#8  0x00007ff4a8eb66d8 in  () at /usr/lib/libQt5Core.so.5
#9  0x00007ff4a7d70454 in start_thread () at /usr/lib/libpthread.so.0
#10 0x00007ff4a87c97df in clone () at /usr/lib/libc.so.6

Thread 21 (Thread 0x7ff3ae7fc700 (LWP 13728)):
#0  0x00007ff4a7d7610f in pthread_cond_wait@@GLIBC_2.3.2 () at /usr/lib/libpthread.so.0
#1  0x00007ff4a8eb758b in QWaitCondition::wait(QMutex*, unsigned long) () at /usr/lib/libQt5Core.so.5
#2  0x00007ff3e5afe1c0 in ThreadWeaver::Weaver::takeFirstAvailableJobOrSuspendOrWait(ThreadWeaver::Thread*, bool, bool, bool) () at /usr/lib/libKF5ThreadWeaver.so.5
#3  0x00007ff3e5b02988 in  () at /usr/lib/libKF5ThreadWeaver.so.5
#4  0x00007ff3e5afd263 in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib/libKF5ThreadWeaver.so.5
#5  0x00007ff3e5b029e2 in  () at /usr/lib/libKF5ThreadWeaver.so.5
#6  0x00007ff3e5afd263 in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib/libKF5ThreadWeaver.so.5
#7  0x00007ff3e5b029e2 in  () at /usr/lib/libKF5ThreadWeaver.so.5
#8  0x00007ff3e5afd263 in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib/libKF5ThreadWeaver.so.5
#9  0x00007ff3e5b029e2 in  () at /usr/lib/libKF5ThreadWeaver.so.5
#10 0x00007ff3e5afd263 in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib/libKF5ThreadWeaver.so.5
#11 0x00007ff3e5b029e2 in  () at /usr/lib/libKF5ThreadWeaver.so.5
#12 0x00007ff3e5afd263 in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib/libKF5ThreadWeaver.so.5
#13 0x00007ff3e5b001f9 in ThreadWeaver::Thread::run() () at /usr/lib/libKF5ThreadWeaver.so.5
#14 0x00007ff4a8eb66d8 in  () at /usr/lib/libQt5Core.so.5
#15 0x00007ff4a7d70454 in start_thread () at /usr/lib/libpthread.so.0
#16 0x00007ff4a87c97df in clone () at /usr/lib/libc.so.6

Thread 20 (Thread 0x7ff3aeffd700 (LWP 13727)):
#0  0x00007ff4a7d7610f in pthread_cond_wait@@GLIBC_2.3.2 () at /usr/lib/libpthread.so.0
#1  0x00007ff4a8eb758b in QWaitCondition::wait(QMutex*, unsigned long) () at /usr/lib/libQt5Core.so.5
#2  0x00007ff3e5afe1c0 in ThreadWeaver::Weaver::takeFirstAvailableJobOrSuspendOrWait(ThreadWeaver::Thread*, bool, bool, bool) () at /usr/lib/libKF5ThreadWeaver.so.5
#3  0x00007ff3e5b02988 in  () at /usr/lib/libKF5ThreadWeaver.so.5
#4  0x00007ff3e5afd263 in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib/libKF5ThreadWeaver.so.5
#5  0x00007ff3e5b029e2 in  () at /usr/lib/libKF5ThreadWeaver.so.5
#6  0x00007ff3e5afd263 in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib/libKF5ThreadWeaver.so.5
#7  0x00007ff3e5b001f9 in ThreadWeaver::Thread::run() () at /usr/lib/libKF5ThreadWeaver.so.5
#8  0x00007ff4a8eb66d8 in  () at /usr/lib/libQt5Core.so.5
#9  0x00007ff4a7d70454 in start_thread () at /usr/lib/libpthread.so.0
#10 0x00007ff4a87c97df in clone () at /usr/lib/libc.so.6

Thread 19 (Thread 0x7ff3af7fe700 (LWP 13726)):
#0  0x00007ff4a7d7610f in pthread_cond_wait@@GLIBC_2.3.2 () at /usr/lib/libpthread.so.0
#1  0x00007ff4a8eb758b in QWaitCondition::wait(QMutex*, unsigned long) () at /usr/lib/libQt5Core.so.5
#2  0x00007ff3e5afe1c0 in ThreadWeaver::Weaver::takeFirstAvailableJobOrSuspendOrWait(ThreadWeaver::Thread*, bool, bool, bool) () at /usr/lib/libKF5ThreadWeaver.so.5
#3  0x00007ff3e5b02988 in  () at /usr/lib/libKF5ThreadWeaver.so.5
#4  0x00007ff3e5afd263 in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib/libKF5ThreadWeaver.so.5
#5  0x00007ff3e5b029e2 in  () at /usr/lib/libKF5ThreadWeaver.so.5
#6  0x00007ff3e5afd263 in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib/libKF5ThreadWeaver.so.5
#7  0x00007ff3e5b029e2 in  () at /usr/lib/libKF5ThreadWeaver.so.5
#8  0x00007ff3e5afd263 in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib/libKF5ThreadWeaver.so.5
#9  0x00007ff3e5b029e2 in  () at /usr/lib/libKF5ThreadWeaver.so.5
#10 0x00007ff3e5afd263 in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib/libKF5ThreadWeaver.so.5
#11 0x00007ff3e5b001f9 in ThreadWeaver::Thread::run() () at /usr/lib/libKF5ThreadWeaver.so.5
#12 0x00007ff4a8eb66d8 in  () at /usr/lib/libQt5Core.so.5
#13 0x00007ff4a7d70454 in start_thread () at /usr/lib/libpthread.so.0
#14 0x00007ff4a87c97df in clone () at /usr/lib/libc.so.6

Thread 18 (Thread 0x7ff3affff700 (LWP 13725)):
#0  0x00007ff4a7d7610f in pthread_cond_wait@@GLIBC_2.3.2 () at /usr/lib/libpthread.so.0
#1  0x00007ff4a8eb758b in QWaitCondition::wait(QMutex*, unsigned long) () at /usr/lib/libQt5Core.so.5
#2  0x00007ff3e5afe1c0 in ThreadWeaver::Weaver::takeFirstAvailableJobOrSuspendOrWait(ThreadWeaver::Thread*, bool, bool, bool) () at /usr/lib/libKF5ThreadWeaver.so.5
#3  0x00007ff3e5b02988 in  () at /usr/lib/libKF5ThreadWeaver.so.5
#4  0x00007ff3e5afd263 in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib/libKF5ThreadWeaver.so.5
#5  0x00007ff3e5b029e2 in  () at /usr/lib/libKF5ThreadWeaver.so.5
#6  0x00007ff3e5afd263 in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib/libKF5ThreadWeaver.so.5
#7  0x00007ff3e5b029e2 in  () at /usr/lib/libKF5ThreadWeaver.so.5
#8  0x00007ff3e5afd263 in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib/libKF5ThreadWeaver.so.5
#9  0x00007ff3e5b029e2 in  () at /usr/lib/libKF5ThreadWeaver.so.5
#10 0x00007ff3e5afd263 in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib/libKF5ThreadWeaver.so.5
#11 0x00007ff3e5b029e2 in  () at /usr/lib/libKF5ThreadWeaver.so.5
#12 0x00007ff3e5afd263 in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib/libKF5ThreadWeaver.so.5
#13 0x00007ff3e5b001f9 in ThreadWeaver::Thread::run() () at /usr/lib/libKF5ThreadWeaver.so.5
#14 0x00007ff4a8eb66d8 in  () at /usr/lib/libQt5Core.so.5
#15 0x00007ff4a7d70454 in start_thread () at /usr/lib/libpthread.so.0
#16 0x00007ff4a87c97df in clone () at /usr/lib/libc.so.6

Thread 17 (Thread 0x7ff3bcea6700 (LWP 13724)):
#0  0x00007ff4a7d7610f in pthread_cond_wait@@GLIBC_2.3.2 () at /usr/lib/libpthread.so.0
#1  0x00007ff4a8eb758b in QWaitCondition::wait(QMutex*, unsigned long) () at /usr/lib/libQt5Core.so.5
#2  0x00007ff3e5afe1c0 in ThreadWeaver::Weaver::takeFirstAvailableJobOrSuspendOrWait(ThreadWeaver::Thread*, bool, bool, bool) () at /usr/lib/libKF5ThreadWeaver.so.5
#3  0x00007ff3e5b02988 in  () at /usr/lib/libKF5ThreadWeaver.so.5
#4  0x00007ff3e5afd263 in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib/libKF5ThreadWeaver.so.5
#5  0x00007ff3e5b029e2 in  () at /usr/lib/libKF5ThreadWeaver.so.5
#6  0x00007ff3e5afd263 in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib/libKF5ThreadWeaver.so.5
#7  0x00007ff3e5b029e2 in  () at /usr/lib/libKF5ThreadWeaver.so.5
#8  0x00007ff3e5afd263 in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib/libKF5ThreadWeaver.so.5
#9  0x00007ff3e5b029e2 in  () at /usr/lib/libKF5ThreadWeaver.so.5
#10 0x00007ff3e5afd263 in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib/libKF5ThreadWeaver.so.5
#11 0x00007ff3e5b029e2 in  () at /usr/lib/libKF5ThreadWeaver.so.5
#12 0x00007ff3e5afd263 in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib/libKF5ThreadWeaver.so.5
#13 0x00007ff3e5b001f9 in ThreadWeaver::Thread::run() () at /usr/lib/libKF5ThreadWeaver.so.5
#14 0x00007ff4a8eb66d8 in  () at /usr/lib/libQt5Core.so.5
#15 0x00007ff4a7d70454 in start_thread () at /usr/lib/libpthread.so.0
#16 0x00007ff4a87c97df in clone () at /usr/lib/libc.so.6

Thread 16 (Thread 0x7ff3bd6a7700 (LWP 13723)):
#0  0x00007ff4a7d7610f in pthread_cond_wait@@GLIBC_2.3.2 () at /usr/lib/libpthread.so.0
#1  0x00007ff4a8eb758b in QWaitCondition::wait(QMutex*, unsigned long) () at /usr/lib/libQt5Core.so.5
#2  0x00007ff3e5afe1c0 in ThreadWeaver::Weaver::takeFirstAvailableJobOrSuspendOrWait(ThreadWeaver::Thread*, bool, bool, bool) () at /usr/lib/libKF5ThreadWeaver.so.5
#3  0x00007ff3e5b02988 in  () at /usr/lib/libKF5ThreadWeaver.so.5
#4  0x00007ff3e5afd263 in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib/libKF5ThreadWeaver.so.5
#5  0x00007ff3e5b029e2 in  () at /usr/lib/libKF5ThreadWeaver.so.5
#6  0x00007ff3e5afd263 in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib/libKF5ThreadWeaver.so.5
#7  0x00007ff3e5b029e2 in  () at /usr/lib/libKF5ThreadWeaver.so.5
#8  0x00007ff3e5afd263 in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib/libKF5ThreadWeaver.so.5
#9  0x00007ff3e5b029e2 in  () at /usr/lib/libKF5ThreadWeaver.so.5
#10 0x00007ff3e5afd263 in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib/libKF5ThreadWeaver.so.5
#11 0x00007ff3e5b029e2 in  () at /usr/lib/libKF5ThreadWeaver.so.5
#12 0x00007ff3e5afd263 in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib/libKF5ThreadWeaver.so.5
#13 0x00007ff3e5b001f9 in ThreadWeaver::Thread::run() () at /usr/lib/libKF5ThreadWeaver.so.5
#14 0x00007ff4a8eb66d8 in  () at /usr/lib/libQt5Core.so.5
#15 0x00007ff4a7d70454 in start_thread () at /usr/lib/libpthread.so.0
#16 0x00007ff4a87c97df in clone () at /usr/lib/libc.so.6

Thread 15 (Thread 0x7ff3bdea8700 (LWP 13722)):
#0  0x00007ff4a7d7610f in pthread_cond_wait@@GLIBC_2.3.2 () at /usr/lib/libpthread.so.0
#1  0x00007ff4a8eb758b in QWaitCondition::wait(QMutex*, unsigned long) () at /usr/lib/libQt5Core.so.5
#2  0x00007ff3e5afe1c0 in ThreadWeaver::Weaver::takeFirstAvailableJobOrSuspendOrWait(ThreadWeaver::Thread*, bool, bool, bool) () at /usr/lib/libKF5ThreadWeaver.so.5
#3  0x00007ff3e5b02988 in  () at /usr/lib/libKF5ThreadWeaver.so.5
#4  0x00007ff3e5afd263 in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib/libKF5ThreadWeaver.so.5
#5  0x00007ff3e5b029e2 in  () at /usr/lib/libKF5ThreadWeaver.so.5
#6  0x00007ff3e5afd263 in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib/libKF5ThreadWeaver.so.5
#7  0x00007ff3e5b029e2 in  () at /usr/lib/libKF5ThreadWeaver.so.5
#8  0x00007ff3e5afd263 in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib/libKF5ThreadWeaver.so.5
#9  0x00007ff3e5b029e2 in  () at /usr/lib/libKF5ThreadWeaver.so.5
#10 0x00007ff3e5afd263 in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib/libKF5ThreadWeaver.so.5
#11 0x00007ff3e5b029e2 in  () at /usr/lib/libKF5ThreadWeaver.so.5
#12 0x00007ff3e5afd263 in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib/libKF5ThreadWeaver.so.5
#13 0x00007ff3e5b029e2 in  () at /usr/lib/libKF5ThreadWeaver.so.5
#14 0x00007ff3e5afd263 in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib/libKF5ThreadWeaver.so.5
#15 0x00007ff3e5b001f9 in ThreadWeaver::Thread::run() () at /usr/lib/libKF5ThreadWeaver.so.5
#16 0x00007ff4a8eb66d8 in  () at /usr/lib/libQt5Core.so.5
#17 0x00007ff4a7d70454 in start_thread () at /usr/lib/libpthread.so.0
#18 0x00007ff4a87c97df in clone () at /usr/lib/libc.so.6

Thread 14 (Thread 0x7ff3d9eea700 (LWP 13721)):
#0  0x00007ff4a7d7610f in pthread_cond_wait@@GLIBC_2.3.2 () at /usr/lib/libpthread.so.0
#1  0x00007ff4a8eb758b in QWaitCondition::wait(QMutex*, unsigned long) () at /usr/lib/libQt5Core.so.5
#2  0x00007ff3e5afe1c0 in ThreadWeaver::Weaver::takeFirstAvailableJobOrSuspendOrWait(ThreadWeaver::Thread*, bool, bool, bool) () at /usr/lib/libKF5ThreadWeaver.so.5
#3  0x00007ff3e5b02988 in  () at /usr/lib/libKF5ThreadWeaver.so.5
#4  0x00007ff3e5afd263 in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib/libKF5ThreadWeaver.so.5
#5  0x00007ff3e5b029e2 in  () at /usr/lib/libKF5ThreadWeaver.so.5
#6  0x00007ff3e5afd263 in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib/libKF5ThreadWeaver.so.5
#7  0x00007ff3e5b029e2 in  () at /usr/lib/libKF5ThreadWeaver.so.5
#8  0x00007ff3e5afd263 in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib/libKF5ThreadWeaver.so.5
#9  0x00007ff3e5b001f9 in ThreadWeaver::Thread::run() () at /usr/lib/libKF5ThreadWeaver.so.5
#10 0x00007ff4a8eb66d8 in  () at /usr/lib/libQt5Core.so.5
#11 0x00007ff4a7d70454 in start_thread () at /usr/lib/libpthread.so.0
#12 0x00007ff4a87c97df in clone () at /usr/lib/libc.so.6

Thread 13 (Thread 0x7ff3d8c80700 (LWP 13717)):
#0  0x00007ff4a7d7610f in pthread_cond_wait@@GLIBC_2.3.2 () at /usr/lib/libpthread.so.0
#1  0x00007ff4a8eb758b in QWaitCondition::wait(QMutex*, unsigned long) () at /usr/lib/libQt5Core.so.5
#2  0x00007ff4acc67665 in  () at /usr/lib/libQt5Quick.so.5
#3  0x00007ff4acc67f72 in  () at /usr/lib/libQt5Quick.so.5
#4  0x00007ff4a8eb66d8 in  () at /usr/lib/libQt5Core.so.5
#5  0x00007ff4a7d70454 in start_thread () at /usr/lib/libpthread.so.0
#6  0x00007ff4a87c97df in clone () at /usr/lib/libc.so.6

Thread 12 (Thread 0x7ff3daa61700 (LWP 4199)):
#0  0x00007ff4a7d7610f in pthread_cond_wait@@GLIBC_2.3.2 () at /usr/lib/libpthread.so.0
#1  0x00007ff4a8eb758b in QWaitCondition::wait(QMutex*, unsigned long) () at /usr/lib/libQt5Core.so.5
#2  0x00007ff4acc67665 in  () at /usr/lib/libQt5Quick.so.5
#3  0x00007ff4acc67f72 in  () at /usr/lib/libQt5Quick.so.5
#4  0x00007ff4a8eb66d8 in  () at /usr/lib/libQt5Core.so.5
#5  0x00007ff4a7d70454 in start_thread () at /usr/lib/libpthread.so.0
#6  0x00007ff4a87c97df in clone () at /usr/lib/libc.so.6

Thread 11 (Thread 0x7ff3db757700 (LWP 1027)):
#0  0x00007ff4a7d7610f in pthread_cond_wait@@GLIBC_2.3.2 () at /usr/lib/libpthread.so.0
#1  0x00007ff4a8eb758b in QWaitCondition::wait(QMutex*, unsigned long) () at /usr/lib/libQt5Core.so.5
#2  0x00007ff4acc67665 in  () at /usr/lib/libQt5Quick.so.5
#3  0x00007ff4acc67f72 in  () at /usr/lib/libQt5Quick.so.5
#4  0x00007ff4a8eb66d8 in  () at /usr/lib/libQt5Core.so.5
#5  0x00007ff4a7d70454 in start_thread () at /usr/lib/libpthread.so.0
#6  0x00007ff4a87c97df in clone () at /usr/lib/libc.so.6

Thread 10 (Thread 0x7ff3dc2d0700 (LWP 1017)):
#0  0x00007ff4a7d7610f in pthread_cond_wait@@GLIBC_2.3.2 () at /usr/lib/libpthread.so.0
#1  0x00007ff4a8eb758b in QWaitCondition::wait(QMutex*, unsigned long) () at /usr/lib/libQt5Core.so.5
#2  0x00007ff4acc67665 in  () at /usr/lib/libQt5Quick.so.5
#3  0x00007ff4acc67f72 in  () at /usr/lib/libQt5Quick.so.5
#4  0x00007ff4a8eb66d8 in  () at /usr/lib/libQt5Core.so.5
#5  0x00007ff4a7d70454 in start_thread () at /usr/lib/libpthread.so.0
#6  0x00007ff4a87c97df in clone () at /usr/lib/libc.so.6

Thread 9 (Thread 0x7ff3f1ff7700 (LWP 903)):
#0  0x00007ff4a7d7610f in pthread_cond_wait@@GLIBC_2.3.2 () at /usr/lib/libpthread.so.0
#1  0x00007ff4a8eb758b in QWaitCondition::wait(QMutex*, unsigned long) () at /usr/lib/libQt5Core.so.5
#2  0x00007ff4acc67665 in  () at /usr/lib/libQt5Quick.so.5
#3  0x00007ff4acc67f72 in  () at /usr/lib/libQt5Quick.so.5
#4  0x00007ff4a8eb66d8 in  () at /usr/lib/libQt5Core.so.5
#5  0x00007ff4a7d70454 in start_thread () at /usr/lib/libpthread.so.0
#6  0x00007ff4a87c97df in clone () at /usr/lib/libc.so.6

Thread 8 (Thread 0x7ff3f8945700 (LWP 901)):
#0  0x00007ff4a7d7610f in pthread_cond_wait@@GLIBC_2.3.2 () at /usr/lib/libpthread.so.0
#1  0x00007ff4a8eb758b in QWaitCondition::wait(QMutex*, unsigned long) () at /usr/lib/libQt5Core.so.5
#2  0x00007ff4acc67665 in  () at /usr/lib/libQt5Quick.so.5
#3  0x00007ff4acc67f72 in  () at /usr/lib/libQt5Quick.so.5
#4  0x00007ff4a8eb66d8 in  () at /usr/lib/libQt5Core.so.5
#5  0x00007ff4a7d70454 in start_thread () at /usr/lib/libpthread.so.0
#6  0x00007ff4a87c97df in clone () at /usr/lib/libc.so.6

Thread 7 (Thread 0x7ff3f9970700 (LWP 877)):
#0  0x00007ff4a87c048d in poll () at /usr/lib/libc.so.6
#1  0x00007ff4a357b786 in  () at /usr/lib/libglib-2.0.so.0
#2  0x00007ff4a357b89c in g_main_context_iteration () at /usr/lib/libglib-2.0.so.0
#3  0x00007ff4a90e646b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#4  0x00007ff4a908fc9a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#5  0x00007ff4a8eb1a73 in QThread::exec() () at /usr/lib/libQt5Core.so.5
#6  0x00007ff4acbf5fd6 in  () at /usr/lib/libQt5Quick.so.5
#7  0x00007ff4a8eb66d8 in  () at /usr/lib/libQt5Core.so.5
#8  0x00007ff4a7d70454 in start_thread () at /usr/lib/libpthread.so.0
#9  0x00007ff4a87c97df in clone () at /usr/lib/libc.so.6

Thread 6 (Thread 0x7ff488b58700 (LWP 848)):
#0  0x00007ff4a7d7610f in pthread_cond_wait@@GLIBC_2.3.2 () at /usr/lib/libpthread.so.0
#1  0x00007ff4ae912234 in  () at /usr/lib/libQt5Script.so.5
#2  0x00007ff4ae912279 in  () at /usr/lib/libQt5Script.so.5
#3  0x00007ff4a7d70454 in start_thread () at /usr/lib/libpthread.so.0
#4  0x00007ff4a87c97df in clone () at /usr/lib/libc.so.6

Thread 5 (Thread 0x7ff48ab70700 (LWP 821)):
#0  0x00007ff4a87bc4ed in read () at /usr/lib/libc.so.6
#1  0x00007ff4a35bfa10 in  () at /usr/lib/libglib-2.0.so.0
#2  0x00007ff4a357b235 in g_main_context_check () at /usr/lib/libglib-2.0.so.0
#3  0x00007ff4a357b724 in  () at /usr/lib/libglib-2.0.so.0
#4  0x00007ff4a357b89c in g_main_context_iteration () at /usr/lib/libglib-2.0.so.0
#5  0x00007ff4a90e646b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#6  0x00007ff4a908fc9a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#7  0x00007ff4a8eb1a73 in QThread::exec() () at /usr/lib/libQt5Core.so.5
#8  0x00007ff4ac02e025 in  () at /usr/lib/libQt5Qml.so.5
#9  0x00007ff4a8eb66d8 in  () at /usr/lib/libQt5Core.so.5
#10 0x00007ff4a7d70454 in start_thread () at /usr/lib/libpthread.so.0
#11 0x00007ff4a87c97df in clone () at /usr/lib/libc.so.6

Thread 4 (Thread 0x7ff490ca0700 (LWP 773)):
#0  0x00007ff4a87bc4ed in read () at /usr/lib/libc.so.6
#1  0x00007ff4a35bfa10 in  () at /usr/lib/libglib-2.0.so.0
#2  0x00007ff4a357b235 in g_main_context_check () at /usr/lib/libglib-2.0.so.0
#3  0x00007ff4a357b724 in  () at /usr/lib/libglib-2.0.so.0
#4  0x00007ff4a357b89c in g_main_context_iteration () at /usr/lib/libglib-2.0.so.0
#5  0x00007ff4a90e646b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#6  0x00007ff4a908fc9a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#7  0x00007ff4a8eb1a73 in QThread::exec() () at /usr/lib/libQt5Core.so.5
#8  0x00007ff4ac02e025 in  () at /usr/lib/libQt5Qml.so.5
#9  0x00007ff4a8eb66d8 in  () at /usr/lib/libQt5Core.so.5
#10 0x00007ff4a7d70454 in start_thread () at /usr/lib/libpthread.so.0
#11 0x00007ff4a87c97df in clone () at /usr/lib/libc.so.6

Thread 3 (Thread 0x7ff492700700 (LWP 740)):
#0  0x00007ff4a87c048d in poll () at /usr/lib/libc.so.6
#1  0x00007ff4a357b786 in  () at /usr/lib/libglib-2.0.so.0
#2  0x00007ff4a357b89c in g_main_context_iteration () at /usr/lib/libglib-2.0.so.0
#3  0x00007ff4a90e646b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#4  0x00007ff4a908fc9a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#5  0x00007ff4a8eb1a73 in QThread::exec() () at /usr/lib/libQt5Core.so.5
#6  0x00007ff4a9c3f125 in  () at /usr/lib/libQt5DBus.so.5
#7  0x00007ff4a8eb66d8 in  () at /usr/lib/libQt5Core.so.5
#8  0x00007ff4a7d70454 in start_thread () at /usr/lib/libpthread.so.0
#9  0x00007ff4a87c97df in clone () at /usr/lib/libc.so.6

Thread 2 (Thread 0x7ff4991e0700 (LWP 706)):
#0  0x00007ff4a87c048d in poll () at /usr/lib/libc.so.6
#1  0x00007ff4ad81d8e0 in  () at /usr/lib/libxcb.so.1
#2  0x00007ff4ad81f679 in xcb_wait_for_event () at /usr/lib/libxcb.so.1
#3  0x00007ff49b783239 in  () at /usr/lib/libQt5XcbQpa.so.5
#4  0x00007ff4a8eb66d8 in  () at /usr/lib/libQt5Core.so.5
#5  0x00007ff4a7d70454 in start_thread () at /usr/lib/libpthread.so.0
#6  0x00007ff4a87c97df in clone () at /usr/lib/libc.so.6

Thread 1 (Thread 0x7ff4af180800 (LWP 680)):
[KCrash Handler]
#6  0x00007fb32262056e in Akonadi::Monitor::mimeTypesMonitored() const () at /usr/lib/libKF5AkonadiCore.so.5
#7  0x00007fb3226eb14e in Akonadi::EntityTreeModelPrivate::fillModel() () at /usr/lib/libKF5AkonadiCore.so.5
#8  0x00007fb3226ebd63 in Akonadi::EntityTreeModelPrivate::endResetModel() () at /usr/lib/libKF5AkonadiCore.so.5
#9  0x00007ff4a90bd149 in QMetaObject::activate(QObject*, int, int, void**) () at /usr/lib/libQt5Core.so.5
#10 0x00007fb32265808f in  () at /usr/lib/libKF5AkonadiCore.so.5
#11 0x00007ff4a90bdfa9 in QObject::event(QEvent*) () at /usr/lib/libQt5Core.so.5
#12 0x00007ff4aa00c34c in QApplicationPrivate::notify_helper(QObject*, QEvent*) () at /usr/lib/libQt5Widgets.so.5
#13 0x00007ff4aa013b61 in QApplication::notify(QObject*, QEvent*) () at /usr/lib/libQt5Widgets.so.5
#14 0x00007ff4a9091840 in QCoreApplication::notifyInternal2(QObject*, QEvent*) () at /usr/lib/libQt5Core.so.5
#15 0x00007ff4a9093fcd in QCoreApplicationPrivate::sendPostedEvents(QObject*, int, QThreadData*) () at /usr/lib/libQt5Core.so.5
#16 0x00007ff4a90e6043 in  () at /usr/lib/libQt5Core.so.5
#17 0x00007ff4a357b587 in g_main_context_dispatch () at /usr/lib/libglib-2.0.so.0
#18 0x00007ff4a357b7f0 in  () at /usr/lib/libglib-2.0.so.0
#19 0x00007ff4a357b89c in g_main_context_iteration () at /usr/lib/libglib-2.0.so.0
#20 0x00007ff4a90e644f in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#21 0x00007ff4a908fc9a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#22 0x00007ff4a90981e4 in QCoreApplication::exec() () at /usr/lib/libQt5Core.so.5
#23 0x000000000041c9d2 in  ()
#24 0x00007ff4a8701291 in __libc_start_main () at /usr/lib/libc.so.6
#25 0x000000000041cd5a in _start ()

Possible duplicates by query: bug 375592, bug 375310, bug 373143, bug 372394, bug 369332.

Reported using DrKonqi
Comment 1 Kai Uwe Broulik 2017-02-14 21:53:48 UTC
*** Bug 376449 has been marked as a duplicate of this bug. ***
Comment 2 David Edmundson 2017-03-19 13:47:27 UTC
*** Bug 377798 has been marked as a duplicate of this bug. ***
Comment 3 David Edmundson 2017-03-19 13:47:29 UTC
*** Bug 377800 has been marked as a duplicate of this bug. ***
Comment 4 David Edmundson 2017-03-23 12:01:58 UTC
*** Bug 377951 has been marked as a duplicate of this bug. ***
Comment 5 David Edmundson 2017-03-23 12:02:12 UTC
*** Bug 377936 has been marked as a duplicate of this bug. ***
Comment 6 Marco Martin 2017-03-24 10:34:42 UTC
*** Bug 378001 has been marked as a duplicate of this bug. ***
Comment 7 Marco Martin 2017-04-11 13:45:02 UTC
*** Bug 378474 has been marked as a duplicate of this bug. ***
Comment 8 David Edmundson 2017-04-17 14:13:55 UTC
*** Bug 378867 has been marked as a duplicate of this bug. ***
Comment 9 David Edmundson 2017-07-30 22:44:52 UTC
*** Bug 382711 has been marked as a duplicate of this bug. ***
Comment 10 David Edmundson 2017-07-30 22:44:55 UTC
*** Bug 382827 has been marked as a duplicate of this bug. ***
Comment 11 David Edmundson 2017-08-06 20:47:53 UTC
*** Bug 383183 has been marked as a duplicate of this bug. ***
Comment 12 Christoph Feck 2017-08-22 10:45:52 UTC
*** Bug 383251 has been marked as a duplicate of this bug. ***
Comment 13 David Edmundson 2017-09-12 05:59:04 UTC
*** Bug 384609 has been marked as a duplicate of this bug. ***
Comment 14 Christoph Feck 2017-09-23 23:42:09 UTC
*** Bug 384996 has been marked as a duplicate of this bug. ***
Comment 15 Christoph Feck 2017-09-23 23:42:28 UTC
*** Bug 384992 has been marked as a duplicate of this bug. ***
Comment 16 Christoph Feck 2017-09-23 23:42:44 UTC
*** Bug 384945 has been marked as a duplicate of this bug. ***
Comment 17 David Edmundson 2017-09-27 09:59:02 UTC
*** Bug 385125 has been marked as a duplicate of this bug. ***
Comment 18 Daniel Vrátil 2017-09-29 11:43:13 UTC
Git commit 6b88cd02467e97ba9110f39e8f52b584fb9bdc12 by Daniel Vrátil.
Committed on 29/09/2017 at 11:36.
Pushed by dvratil into branch 'Applications/17.08'.

Fix memory leak and crash in Plasma events plugin configuration

Don't leak the internal ETM in PIMCalendarsModel. The Monitor is
already parented to the PIMCalendarsModel, but the ETM is not, so
deleting PIMCalendarsModel destroys the Monitor, but the ETM is left
with dangling pointer to the Monitor.
FIXED-IN: 5.6.2

M  +1    -1    plugins/plasma/pimeventsplugin/pimcalendarsmodel.cpp

https://commits.kde.org/kdepim-addons/6b88cd02467e97ba9110f39e8f52b584fb9bdc12
Comment 19 ralph 2017-10-11 20:28:21 UTC
Is this fix present in Plasma 5.11?

Today I have received an automatic update to Plasma 5.11 and, at the end of the installation, Plasma5 has crashed. As usual, the screen goes black and Plasma5 restarts.

Also, Plasma5 still crashes if I try to configure the SysTray.

If I try to configure the digital watch, the screen goes black and Plasma does not restart anymore. I have to switch to a Virtual Terminal and run poweroff.

Some weeks ago I had sent a bug report (generated by DrKonqi):
https://bugs.kde.org/show_bug.cgi?id=384945
but you have marked it as duplicate of this bug.
Comment 20 Daniel Vrátil 2017-10-12 08:54:45 UTC
The crash is not in Plasma but in a plugin for Plasma which is released as part of KDE Applications (will be in 17.08.2 which will be released very soon).
Comment 21 yves 2017-10-12 19:24:31 UTC
Created attachment 108318 [details]
Memory usage upon activation of the plug-in

Running kdepim-addons-17.08.2 did not solve the memory leak
Comment 22 yves 2017-10-12 19:25:28 UTC
Thank you for looking into this.

Unfortunately updating to kdepim-addons-17.08.2 did not solve the memory leak on my system. I'm happy to help debugging further but I don't know where to start...
Comment 23 David Edmundson 2017-12-10 15:19:55 UTC
*** Bug 387756 has been marked as a duplicate of this bug. ***
Comment 24 David Edmundson 2018-01-20 21:31:03 UTC
*** Bug 389214 has been marked as a duplicate of this bug. ***
Comment 25 Christoph Feck 2018-01-29 23:28:18 UTC
*** Bug 388029 has been marked as a duplicate of this bug. ***
Comment 26 David Edmundson 2018-02-18 21:34:57 UTC
*** Bug 390686 has been marked as a duplicate of this bug. ***
Comment 27 Christoph Feck 2018-03-02 22:31:26 UTC
*** Bug 391257 has been marked as a duplicate of this bug. ***
Comment 28 Christoph Feck 2018-03-02 22:33:07 UTC
*** Bug 390460 has been marked as a duplicate of this bug. ***
Comment 29 David Edmundson 2018-05-17 19:30:29 UTC
*** Bug 394390 has been marked as a duplicate of this bug. ***
Comment 30 Christoph Feck 2018-12-06 03:16:57 UTC
*** Bug 401126 has been marked as a duplicate of this bug. ***
Comment 31 Christoph Feck 2018-12-06 03:17:26 UTC
*** Bug 396422 has been marked as a duplicate of this bug. ***